curl --request GET \
--url https://app.synthpop.ai/public/v1/task/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.synthpop.ai/public/v1/task/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.synthpop.ai/public/v1/task/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"offset": 123,
"tasks": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"task_type": "<string>",
"status": "pending",
"name": "<string>",
"cleared": "2023-11-07T05:31:56Z",
"created": "2023-11-07T05:31:56Z",
"latest_status_change": "2023-11-07T05:31:56Z",
"external_id": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get a list of tasks.
Return a paginated list of tasks matching the query parameters.
Retrieve a paginated list of tasks filtered and sorted by criteria as specified in the query params for the request.
Note that specifying an offset past the end of the list will result in an HTTP 200 response,
with the offset set to the value you specified, but tasks will be an empty list.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Specifies on what date (task creation or latest status change) the date_from and date_to limits should operate on. Default is created.
created, latest_status_change, cleared Records with date or time stamps newer than this value, if specified.
Records with date or time stamps up to and including this value, if specified.
Only return records with the cleared flag set/unset, if specified.
Only return records matching any of the specified task status values, if specified.
Current state of a task.
pending: The task is waiting to be processed.processing: The task is currently being processed.waiting: The task is waiting for additional input.completed: The task has completed processing.failed: An error occurred while the task was being processed.invalid: The data uploaded does not provide any information pertaining to the task to be performed.deferred: The bulk processing task has been put into a deferred state due to high load
pending, processing, waiting, completed, failed, invalid, deferred Sort criteria to use for the query.
created, latest_status_change, cleared, name, id, external_id Start offset to use for records returned.
x >= 0Max. number of matching records to return from offset.
1 <= x <= 200If true, the sort order for the sort criteria is set to ascending. false or leaving this value unspecified will cause descending sort order to be used.
Only return records with specified task types, if specified.
Response
Successful Response
Response from getting a list of tasks.
Total number of matching tasks.
Start offset within the sorted list of matching records for the data returned in this response.
List of matching tasks, filtered and sorted by the criteria in the request.
Show child attributes
Show child attributes

